<template>
  <div>
    <el-button @click="init()" :loading="loading">刷新</el-button>
    <panel-group-proxy @handleSetLineChartData="handleSetLineChartData" :total="total" />
  </div>
</template>

<script>
import PanelGroupProxy from '../../dashboard/PanelGroupProxy'
import {getProxyTotal} from "@/api/cai/proxy";

const lineChartData = {
  newVisitis: {
    expectedData: [100, 120, 161, 134, 105, 160, 165],
    actualData: [120, 82, 91, 154, 162, 140, 145]
  },
  messages: {
    expectedData: [200, 192, 120, 144, 160, 130, 140],
    actualData: [180, 160, 151, 106, 145, 150, 130]
  },
  purchases: {
    expectedData: [80, 100, 121, 104, 105, 90, 100],
    actualData: [120, 90, 100, 138, 142, 130, 130]
  },
  shoppings: {
    expectedData: [130, 140, 141, 142, 145, 150, 160],
    actualData: [120, 82, 91, 154, 162, 140, 130]
  }
}

export default {
  name: 'Index',
  components: {
    PanelGroupProxy,
  },
  data() {
    return {
      lineChartData: lineChartData.newVisitis,
      loading: false,
      total: {
        bindUserCount: 0,
        priceSum: 0,
      }
    }
  },
  created() {
    this.init(true)
  },
  methods: {
    /** 查询用户账户列表 */
    init(init) {
      this.loading=true;
      getProxyTotal().then(response => {
        this.total = response.data;
        if(!init){
          this.$modal.msgSuccess("刷新成功");
        }
      }).finally(() => {
        this.loading=false
      });
    },
    handleSetLineChartData(type) {
      this.lineChartData = lineChartData[type]
    }
  }
}
</script>

<style lang="scss" scoped>
.dashboard-editor-container {
  padding: 16px;
  background-color: rgb(240, 242, 245);
  position: relative;

  .chart-wrapper {
    background: #fff;
    padding: 16px 16px 0;
    margin-bottom: 32px;
  }
}

@media (max-width:1024px) {
  .chart-wrapper {
    padding: 8px;
  }
}
</style>
